%global srcname ansible_pacemaker

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%if 0%{?fedora} < 24
%define py2_build %{__python} setup.py build
%define py2_install %{__python} setup.py install -O1 --skip-build --root %{buildroot}
%define python2_sitelib %{python_sitelib}
%endif

Name:           ansible-pacemaker
Version:        1.0.3
Release:        1%{?dist}.1
Summary:        Ansible modules for managing Pacemaker clusters

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://github.com/redhat-openstack/ansible-pacemaker
Source0:        https://github.com/redhat-openstack/ansible-pacemaker/archive/%{upstream_version}.tar.gz

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-d2to1
BuildRequires:  python-pbr

Requires: ansible
Requires: python-lxml

%description

Ansible-pacemaker is a set of Ansible modules for a Pacemaker cluster, nodes
and resources.

%prep
%autosetup -n %{name}-%{upstream_version} -S git


%build
%py2_build


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%py2_install


%files
%doc README*
%license LICENSE
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info
%{_datadir}/ansible-modules/


%changelog
* Wed Dec 12 2018 Ray Wang <wanglei@loongson.cn> - 1.0.3-1.1
- change Buildrequires python2  -> python

* Tue Feb 20 2018 RDO <dev@lists.rdoproject.org> 1.0.3-1
- Update to 1.0.3

